## Free React landing page template

![landy](https://d3lbwkmaao72si.cloudfront.net/8gbi%2Fpreview%2F39485816%2Fmain_large.gif?response-content-disposition=inline%3Bfilename%3D%22main_large.gif%22%3B&response-content-type=image%2Fgif&Expires=1622665919&Signature=Z6qP6LVN3Z4GpWyL23VVJZ~4bKp1tU9pyXwCrzkooLwJc0uh674DLPdx39iqeFBwFWbGy6cTK0t5aXoTrNjWS5h6Moo57UXLu-LXl3Es82Z4hW-wDFZRO0wYUrCenwhI-zOL7e1sPtccoUcxJuPZi~Ph3lro8-COrS1iVYZ1peE00ERLG4zGEX8UkNpMnkX1U0P3wyr8RgAA6qmboeN5WqeiZo0kf1shhXGc47HQsBnUldI6rFY~-zrFl6yYR1XI7HJR6bCH--Z~4kplir5BOuewF5oYO97vIMZHQ~-VUI2QKhVZ7~q2SVBKJ0ZEXzUXw6mKWlEmSITa3clKqPDQKA__&Key-Pair-Id=APKAJT5WQLLEOADKLHBQ)

[Landy][Landy] is a free React landing page template written in TypeScript, designed for developers and startups, who want to create a quick and professional landing page for their business or project.

This React template comes with multi-lingual support, smooth animations, set of ready to use sections and most importantly, all of the content is stored in the JSON files, so that you can manage the texts without having any prior knowledge in React.js.

## Table of contents

- [Features](#features)
- [Google Lighthouse](#google-lighthouse)
  - [Performance](#performance)
  - [Accessibility](#accessibility)
  - [Best Practices](#best-practices)
  - [SEO](#seo)
- [Demo](#demo)
- [Installation](#installation)
- [Special Thanks](#special-thanks)
- [Usage](#usage)
- [License](#license)

## Features

Your project will have everything you need to build a modern single-page React app:

- 🎁 **Modern** – Template created using the latest features of React (State management using Hooks, Code-Splitting to reduce the bundle size)

- 💻 **Responsive** – Highly responsive and reusable UI components, that change depending on the provided props

- 🚀 **Fast** – Buttery smooth experience thanks to the implementation of best practices and no third party dependencies, resulting in <b>PERFECT</b> Google Lighthouse scores

- 🏷 **TypeScript support** – Landy is written in TypeScript to improve the DX

- 🌍 **Internationalization** - Prebuilt standalone file that works in every environment and doesn't require reloading the page to translate the content

- 🛸 **Routing** - Each file inside the src/pages directory will generate its own route, so you don't have to manually handle the routing

- 🤙 **Contact Form** - Contact form written in React Hooks, with uncontrolled form validation to reduce unnecessary performance penalty. You just need to provide the endpoint

- ⚙️ **Maintenance** - All of the content is stored in the JSON files, so that you can easily manage the content of the website

## Google Lighthouse

![1](https://d1pyv8le31wo0q.cloudfront.net/pbai%2Fpreview%2F39484357%2Fmain_full.png?response-content-disposition=inline%3Bfilename%3D%22main_full.png%22%3B&response-content-type=image%2Fpng&Expires=1622662758&Signature=f~wKtxd6gepwqijaJ4pYhh8CIM2narvX3UlhzouQTbOwr39HMzg3xHFaGcJhZ8~Gfwpcjj2jjm4X8~9eVDZXhBY23KrAQugdUhHA6AukdaRkG1lZs-f2FlvEeWjQlLikY5PQt~Uc6h8rES-MrfAfsvVqW~b2wb13BSY30x6ny~j9AN9BpblnRWQGUnMcp8HHa5GqJ6XTaoZcH4m8woYYOHuJBTAuOlJPsUYqu6kvQCMLquHxokGRW40-~7iYhGtIVy2NhHr0-hELsfpffMzkDBOXtQScZJCbNBNDDQJ7lKiZsEafVvYiiaTrbQmTpTXL1Km4Za04~yl-2aUD-k5kaw__&Key-Pair-Id=APKAJT5WQLLEOADKLHBQ)

[Google Lighthouse][Google Lighthouse] is an open-source, automated tool for measuring the quality of web pages. Google Lighthouse audits performance, accessibility and search engine optimization of web pages.

### Performance

Audits for metrics like first paint and time to interactive to determine lag.

### Accessibility

Checks for common issues that may prevent users from accessing your content.

### Best Practices

Looks for everything from HTTPS usage to correct image aspect ratios.

### SEO 

Checks for best practices to ensure your site is discoverable.


## Demo

Check the live demo here 👉️ https://landy.website/


### Installation

You’ll need to have Node 10.16.0 or later version on your local development machine (but it’s not required on the server). I recommend using the latest LTS version.

To create a new app, you have to:

### npx

Use the following command 

```sh
npx create-react-app my-app --template adrinlol
cd my-app
npm start
```

## What's included

- [axios][axios] - Promise based HTTP client for the browser and Node.js.
- [antd][antd] - React UI library that contains a set of high quality components.
- [react-awesome-reveal][react-awesome-reveal] - High performance library that adds reveal animations using the Intersection Observer API.
- [styled-componets][styled-componets] - Variant on “CSS-in-JS”—which solves many of the problems with traditional CSS.
- [i18next][i18next] - Internationalization-framework written in and for JavaScript.

## Special thanks

[whoooa][whoooa] - Use fantastic, handmade illustrations with easily changeable colors and different styles.

## Usage

Use it for whatever you want, and be sure to reach out to me on [Twitter](https://twitter.com/Adrinlolx) if you have any questions, or build something cool with it.

## License

Licensed under the MIT license.

<!-- prettier-ignore-start -->
[axios]: https://github.com/axios/axios
[antd]: https://github.com/ant-design/ant-design
[react-awesome-reveal]: https://www.npmjs.com/package/react-awesome-reveal
[styled-componets]: https://github.com/styled-components/styled-components
[i18next]: https://github.com/i18next/i18next
[whoooa]: https://www.whoooa.rocks/
[Landy]: https://www.npmjs.com/package/cra-template-adrinlol
[Google Lighthouse]: https://developers.google.com/web/tools/lighthouse
<!-- prettier-ignore-end -->
